pfSense Packages - Bug #8944

attemp of installing pfblocker brakes system on 2.4.3
09/25/2018 04:47 AM - Constantine Kormashev

Status: Duplicate Start date: 09/25/2018
Priority: Normal Due date:
Assignee: % Done: 0%
Category: pfBlockerNG Estimated time: 0.00 hour
Target version:
Plus Target Version: Affected Plus

Version:
Affected Version: 243 1 Affected

Architecture:

Description

Any attempt to install pfblocker on clean 2.4.3-p1 breaks system.
Errors during installation:

Sep 25 08:20:30 pfSense php-fpm[329]: /pkg_mgr_install.php: PHP ERROR: Type: 64, File: /etc/inc/ra
dius.inc, Line: 50, Message: require_once(): Failed opening required '/usr/local/share/pear/PEAR.p
hp' (include_path='.:/etc/inc:/usr/local/www:/usr/local/captiveportal:/usr/local/pkg:/usr/local/ww
w/classes:/usr/local/www/classes/Form:/usr/local/share/pear')

Sep 25 08:20:30 pfSense php-fpm[329]: /pkg_mgr_install.php: New alert found: PHP ERROR: Type: 64,
File: /etc/inc/radius.inc, Line: 50, Message: require_once(): Failed opening required '/usr/local/
share/pear/PEAR.php' (include_path='.:/etc/inc:/usr/local/www:/usr/local/captiveportal:/usr/local/
pkg:/usr/local/www/classes:/usr/local/www/classes/Form:/usr/local/share/pear"')

System generates many php warnings related to some shared objects.

..many similar messages...

"/usr/local/lib/php/20131226/zmg.so.so")) in Unknown on line O
[25-Sep—-2018 08:42:50 UTC] PHP Warning: PHP Startup: Unable to load dynamic library 'pdo_sqglite.s
o' (tried: /usr/local/lib/php/20131226/pdo_sglite.so (Cannot open "/usr/local/lib/php/20131226/pdo
_sqglite.so"), /usr/local/lib/php/20131226/pdo_sqglite.so.so (Cannot open "/usr/local/lib/php/201312
26/pdo_sglite.so.so")) in Unknown on line 0
[25-Sep—-2018 08:42:50 UTC] PHP Warning: PHP Startup: Unable to load dynamic library 'xmlreader.so
' (tried: /usr/local/lib/php/20131226/xmlreader.so (Cannot open "/usr/local/lib/php/20131226/xmlre
ader.so"), /usr/local/lib/php/20131226/xmlreader.so.so (Cannot open "/usr/local/lib/php/20131226/x
mlreader.so.so")) in Unknown on line O
[25-Sep—-2018 08:42:50 Etc/UTC] PHP Fatal error: Uncaught Error: Call to undefined function gettex
t() in /etc/inc/certs.inc:44
Stack trace:
#0 /etc/inc/functions.inc(32): require_once ()
#1 /etc/inc/notices.inc(24): require_once('/etc/inc/functi...")
#2 /etc/inc/config.inc(49): require_once('/etc/inc/notice...")
#3 /etc/rc.packages (28): require_once('/etc/inc/config...")
#4 {main}

thrown in /etc/inc/certs.inc on line 44

Problem is system does not complete boot process: interfaces do not have addresses, pf is not stated, any attempts of execute php
lead to errors:

PHP ERROR: Type: 64, File: /etc/inc/config.inc, Line: 51, Message: require_once(): Failed opening

required 'Net/IPv6.php' (include_path="'.:/etc/inc:/usr/local/www:/usr/local/captiveportal:/usr/loc
al/pkg:/usr/local/www/classes:/usr/local/www/classes/Form:/usr/local/share/pear")

06/03/2025 1/3




err.png
I am not sure, but have small suspicious php errors like this might affect update to 2.4.4. Because we have got some tickets with the
same error messages (e.g. #12741).
https://redmine.pfsense.org/issues/12741

The issue affects only 2.4.3-p1. Versions 2.4.4 and 2.3.4-p1 are able to install pfblocker without trouble.

History

#1 - 09/25/2018 08:12 AM - Jim Pingle

- Status changed from New to Duplicate

Duplicate of #8938
